.TH AUTODIR 8
.SH NAME
autodir \- manage home directories
.SH SYNOPSIS
.B autodir
[\fROPTIONS\fR]
.SH DESCRIPTION
.B autodir
is a command to organize home directories, usually for user accounts from a centralized database like LDAP, SQL, NIS, etc... It also has transparent backup features.
.SH OPTIONS
.TP
.BR \-d " "\fIDIR\fR
Specifies the virtual base directory; the mount point for the autofs filesystem. If \fIDIR\fR does not exist, it will be created. An absolute path is expected for this option.
.TP
.BR \-t " "\fISECONDS\fR
Expiration timeout for virtual directories. If a directory is inactive for \fISECONDS\fR, it will be unmounted.
.TP
.BR \-m " "\fIMODULE\fR
Module to be used with autodir. The full path to \fIMODULE\fR is expected.
.TP
.BR \-n \fR
Do not kill the backup process and wait for it to finish.
.TP
.BR \-N \fR
Do not kill the backup process, but do NOT wait for it to finish.
.TP
.BR \-o " "\fISUBOPTS\fR
All options \fISUBOPTS\fR are passed to the module. This option passing syntax is similar to that of the mount command with its -o option. See specific module's documentation for more info.
.TP
.BR \-f \fR
q
Run in the foreground and log all messages to the console. For debugging purpose and to see how autodir works.
.TP
.BR \-l " "\fIFILE\fR
Full path to a file in which autodir will write its process id.
.TP
.BR \-h \fR
Display help about autodir options.
.TP
.BR \-v \fR
Display version information.
.TP
.BR \-V \fR
Use verbose logging.
.TP
.BR \-b " "\fIPROG\fR
This option is to specify the program to use for backups, as well as options for it. The path to \fIPROG\fR should be absolute.
.TP
.BR \-w " "\fISECONDS\fR
Whenever a virtual directory is not used for a period of time, it is assumed inactive and is unmounted. Then, a backup is immediately started. With this option, you can specify to wait \fISECONDS\fR before the backup starts. If this option is absent, the backup will start immediately.
.TP
.BR \-p " "\fINUMBER\fR
Backup process priority. This value is from 1-40, with 1 being highest priority and 40 being lowest. The default value is 30.
.TP
.BR \-c " "\fINUMBER\fR
This restricts the number of backup processes to \fINUMBER\fR at any given time. The default value is 150.
# manpage written on Nov. 24, 2010 by Timmy
